<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html style="overflow-x:hidden;overflow-y:auto;">
<head>
	<title>角色权限</title>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<%@include file="/WEB-INF/views/include/treeview.jsp" %>
	<script type="text/javascript">
		var tree, setting = {
				check:{
					enable:true,nocheckInherit:true
				},
				data: {
		            simpleData: {
		                enable: true,
		                idKey: "code",
		                pIdKey: "parentCode",
		            },
		            key:{
		            	checked:"enable"
		            }
		        },
				view:{
					showIcon:false, 
				},
				callback:{
					beforeClick:function(id, node){
						tree.checkNode(node, !node.enable, true, true);
						return false;
					}
				}
			};
		$(document).ready(function(){
			//$.get("${ctx}/admin/basic/role/info/privilege/data?schoolId=${schoolId}&role=${roleCode}&t="+new Date().getTime(), function(zNodes){
				// 初始化树结构
				tree = $.fn.zTree.init($("#tree"), setting, JSON.parse('${privilegeList}'));
			//});
		});
		function save() {
			var checkedNodes = tree.getCheckedNodes();
			if(checkedNodes&&checkedNodes.length>0){
				var codes=[];
				checkedNodes.forEach(e => {
					codes.push(e.code);
				 });
				$("#selectPrivileges").val(codes.join(','));
			}
			
			$("#searchForm").submit();
			return false;
		}
	</script>
</head>
<body>
	<form id="searchForm"  action="${ctx}/admin/basic/role/info/privilege/save" method="post" class="breadcrumb form-search">
		<input type="hidden" id="schoolId" name="schoolId" value="${schoolId}"/>
		<input type="hidden" id="role" name="role" value="${roleCode}"/>
		<input type="hidden" id="selectPrivileges" name="selectPrivileges"/>
		<div>
			<label>角色</label>
			<input type="text" disabled="disabled" name="roleName" value="${roleName}"  maxlength="20" class="input-medium"/>
			&nbsp;
			<input id="btnSubmit" class="btn btn-primary" type="button" value="保存" onclick="save()"/>
			&nbsp;
			<input id="btnCancel" class="btn" type="button" value="返 回" onclick="history.go(-1)"/>
		</div>
	</form>
	<div id="tree" class="ztree" style="padding:15px 20px;"></div>
</body>